Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\SignalSlot\Slot Class Reference

A Slot can be assigned to receive a certain Signal. More...

Inheritance diagram for eZ\Publish\Core\SignalSlot\Slot:

## Public Member Functions
| receive (Signal $signal)
| Receive the given $signal and react on it. More...

## Detailed Description

A Slot can be assigned to receive a certain Signal.

Definition at line 12 of file SignalSlot/Slot.php.

## Member Function Documentation

## ◆ receive()

eZ\Publish\Core\SignalSlot\Slot::receive | ( | Signal | $signal | ) |
| abstract

Receive the given $signal and react on it.

Parameters

  Signal | $signal |

Reimplemented in eZ\Publish\Core\Search\Common\Slot\UpdateUser, eZ\Publish\Core\Search\Common\Slot\UpdateLocation, eZ\Publish\Core\Search\Common\Slot\UpdateContentMetadata, eZ\Publish\Core\Search\Common\Slot\UnhideLocation, eZ\Publish\Core\Search\Common\Slot\UnAssignUserFromUserGroup, eZ\Publish\Core\Search\Common\Slot\Trash, eZ\Publish\Core\Search\Common\Slot\SwapLocation, eZ\Publish\Core\Search\Common\Slot\SetContentState, eZ\Publish\Core\Search\Common\Slot\RevealContent, eZ\Publish\Core\Search\Common\Slot\Recover, eZ\Publish\Core\Search\Common\Slot\PublishVersion, eZ\Publish\Core\Search\Common\Slot\MoveUserGroup, eZ\Publish\Core\Search\Common\Slot\MoveSubtree, eZ\Publish\Core\Search\Common\Slot\HideLocation, eZ\Publish\Core\Search\Common\Slot\HideContent, eZ\Publish\Core\Search\Common\Slot\DeleteVersion, eZ\Publish\Core\Search\Common\Slot\DeleteUserGroup, eZ\Publish\Core\Search\Common\Slot\DeleteUser, eZ\Publish\Core\Search\Common\Slot\DeleteTranslation, eZ\Publish\Core\Search\Common\Slot\DeleteLocation, eZ\Publish\Core\Search\Common\Slot\DeleteContent, eZ\Publish\Core\Search\Common\Slot\CreateUserGroup, eZ\Publish\Core\Search\Common\Slot\CreateUser, eZ\Publish\Core\Search\Common\Slot\CreateLocation, eZ\Publish\Core\Search\Common\Slot\CopySubtree, eZ\Publish\Core\Search\Common\Slot\CopyContent, eZ\Publish\Core\Search\Common\Slot\AssignUserToUserGroup, eZ\Publish\Core\Search\Common\Slot\AssignSectionToSubtree, eZ\Publish\Core\Search\Common\Slot\AssignSection, eZ\Publish\Core\Repository\Slot\User\DeleteUser, and eZ\Bundle\EzPublishCoreBundle\SignalSlot\Slot\SymfonyEventConverterSlot.

The documentation for this class was generated from the following file:

- SignalSlot/Slot.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.